# Class StiltsAction

java.lang.Object
javax.swing.AbstractAction
uk.ac.starlink.topcat.BasicAction
uk.ac.starlink.topcat.StiltsAction

All Implemented Interfaces:
  `ActionListener, Serializable, Cloneable, EventListener, Action`

public class StiltsAction extends BasicAction
Reports the STILTS command generated by the current state of a supplied StiltsReporter component.

Since:
  19 Sep 2024
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class AbstractAction

`changeSupport, enabled`

### Fields inherited from interface Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`StiltsAction(StiltsReporter reporter, Supplier<Window> parentSupplier)`
Constructs a StiltsAction with a default sized dialogue.
`StiltsAction(StiltsReporter reporter, Supplier<Window> parentSupplier, Dimension size)`
Constructs a StiltsAction with an explicitly sized dialogue.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent evt)`

### Methods inherited from class BasicAction

`create, getEventWindow`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Action

`accept`

## Constructor Details

### StiltsAction

public StiltsAction(StiltsReporter reporter, Supplier<Window> parentSupplier, Dimension size)
Constructs a StiltsAction with an explicitly sized dialogue.

Parameters:
  `reporter` - component that can generate stilts command lines
  `parentSupplier` - provides a parent window for this action
  `size` - preferred size of the monitor panel that displays the STILTS command; if null some default will be used

### StiltsAction

public StiltsAction(StiltsReporter reporter, Supplier<Window> parentSupplier)
Constructs a StiltsAction with a default sized dialogue.

Parameters:
  `reporter` - component that can generate stilts command lines
  `parentSupplier` - provides a parent window for this action

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent evt)